name: Pod Volumes Projected
services:
  volumes-projected-pod:
    name: volumes-projected-pod
    type: Pod
    apiVersion: v1
    namespace: default
    model: kubernetes
    settings:
      spec:
        containers:
        - command:
          - sleep
          - "3600"
          image: busybox
          name: volumes-projected-container
          volume Mounts:
          - mount Path: /volumes-projected-volume-path
            name: volumes-projected-volume-mount
            read Only: true
        volumes:
        - name: volumes-projected-volume-mount
          projected:
            sources:
            - secret:
                items:
                - key: username
                  mode: 511
                  path: my-group/my-username
                name: volumes-projected-secret
            - downward API:
                items:
                - field Ref:
                    field Path: metadata.labels
                  path: labels
                - path: cpu_limit
                  resource Field Ref:
                    container Name: container-test
                    resource: limits.cpu
            - config Map:
                items:
                - key: config
                  path: my-group/my-config
                name: volumes-projected-configmap
    traits:
      meshmap:
        edges: []
        id: d268cc9c-d9c1-4721-8757-0d0096926b4a
        label: volumes-projected-pod
        meshmodel-metadata:
          capabilities: ""
          genealogy: ""
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-rectangle
          styleOverrides: ""
          subCategory: Scheduling & Orchestration
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
        position:
          posX: 110
          posY: 110
        whiteboardData:
          style:
            z-index: 3
